<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>

    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="text text-muted shadow-sm" :class="{'me':isSent}">
    
        <div class="row">
            <div class="col-md-12 text-center">
                <img :src="content.imageUrl" alt="" class="w-50">
                <span class="d-block">
                    <strong>
                        {{content.title}}
                    </strong>
                </span>
                <small>{{content.subTitle}}</small>
            </div>
            
        </div>
        <div class="row justify-content-center">
            <div class="col-md-3 bg-white m-2 text-center rounded" v-for="(column,index) in content.columns" :key="index">
                <span class="d-block">{{column.text}}</span>
                <small class="text-muted">{{column.subText}}</small>
            </div>
        </div>
       
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
</style>
